%define	_glib2		2.15.2
%define major		0
%define majorminor	0.10

%define bname		gstreamer0.10
%define name		%{bname}-plugins-base
%define libname		%mklibname gstreamer-plugins-base %{majorminor} %{major}
%define devname		%mklibname gstreamer-plugins-base %{majorminor} -d
%define girname		%mklibname gstreamer-plugins-base-gir %{majorminor}

%define gstver		0.10.35

%define build_libvisual	1
%define build_bootstrap	1

%{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}

Summary:	GStreamer Streaming-media framework plug-ins
Name:		%{bname}-plugins-base
Version:	0.10.36
Release:	%mkrel 7
License:	LGPLv2+
Group:		Sound/Utilities
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.bz2
Patch0:		align.patch
#lm fix playing ogg track after mp3 track in Amarok (bko#302652, mga#10762)
Patch1:		audiodecoder-don-t-discard-timestamps-when-consecuti.patch
URL:		http://gstreamer.freedesktop.org/
Provides:	%{bname}-plugin-libs
Obsoletes:	%{bname}-plugin-libs
#gw for the pixbuf plugin
BuildRequires:	gtk+2-devel
BuildRequires:	glib2-devel >= %{_glib2}
BuildRequires:	libpng-devel >= 1.2.4-4
BuildRequires:	liborc-devel >= 0.4.5
BuildRequires:	libvorbis-devel >= 1.0-4
BuildRequires:	libtheora-devel
BuildRequires:	libgstreamer-devel >= %{gstver}
BuildRequires:	gtk-doc
BuildRequires:	libmesaglu-devel
BuildRequires:	libxv-devel
BuildRequires:	libalsa-devel
BuildRequires:	gobject-introspection-devel
#gw we need some fonts for the tests
BuildRequires:	fonts-ttf-dejavu
BuildRequires:	libcheck-devel

%if !%{build_bootstrap}
#gw qt example
BuildRequires:	qt4-devel
%endif

%ifarch %ix86
BuildRequires:	nasm => 0.90
%endif

%ifnarch %arm %mips
BuildRequires:	valgrind-devel
%endif

Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink
Provides:	%{bname}-alsa
Obsoletes:	%{bname}-alsa
Provides:	%{bname}-plugins
Obsoletes:	%{bname}-plugins
Provides:	%{bname}-vorbis
Obsoletes:	%{bname}-vorbis
Provides:	%{bname}-x11
Obsoletes:	%{bname}-x11
Suggests:	gst-install-plugins-helper
Conflicts:	%{bname}-plugins-bad < 0.10.10

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of reference plugins, base classes for other
plugins, and helper libraries:
 * device plugins: x(v)imagesink, alsa, v4lsrc, cdparanoia
 * containers: ogg
 * codecs: vorbis, theora
 * text: textoverlay, subparse
 * sources: audiotestsrc, videotestsrc, gnomevfssrc
 * network: tcp
 * typefind
 * audio processing: audioconvert, adder, audiorate, audioscale, volume
 * visualisation: libvisual
 * video processing: ffmpegcolorspace
 * aggregate elements: decodebin, playbin

%prep
%setup -q -n gst-plugins-base-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-dependency-tracking \
	--enable-experimental \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='http://bugs.%{_real_vendor}.org/' \
	--enable-libvisual
%make

%check
cd tests/check
#gw check fail with a gconf error in 0.10.21
#make check

%install
rm -rf %{buildroot} gst-plugins-base-%{majorminor}.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang gst-plugins-base-%{majorminor}

# Clean out files that should not be part of the rpm.
find %{buildroot} -name "*.la" -delete

%files -f gst-plugins-base-%{majorminor}.lang
%doc AUTHORS README NEWS
%{_bindir}/gst-discoverer-%{majorminor}
%{_bindir}/gst-visualise-%{majorminor}
%{_mandir}/man1/gst-visualise-%{majorminor}.1*
%{_libdir}/gstreamer-%{majorminor}/libgstffmpegcolorspace.so
# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstapp.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiorate.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioresample.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstdecodebin.so
%{_libdir}/gstreamer-%{majorminor}/libgstdecodebin2.so
%{_libdir}/gstreamer-%{majorminor}/libgstencodebin.so
%{_libdir}/gstreamer-%{majorminor}/libgstgdp.so
%{_libdir}/gstreamer-%{majorminor}/libgstgio.so
%{_libdir}/gstreamer-%{majorminor}/libgstpango.so
%{_libdir}/gstreamer-%{majorminor}/libgstplaybin.so
%{_libdir}/gstreamer-%{majorminor}/libgstsubparse.so
#%%{_libdir}/gstreamer-%%{majorminor}/libgstsinesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgsttcp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolume.so
%{_libdir}/gstreamer-%{majorminor}/libgstadder.so
%{_libdir}/gstreamer-%{majorminor}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgsttheora.so
%{_libdir}/gstreamer-%{majorminor}/libgstogg.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideorate.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoscale.so
%{_libdir}/gstreamer-%{majorminor}/libgstvorbis.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstxvimagesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstalsa.so

%package -n %{libname}
Group:		System/Libraries
Summary:	GStreamer plugin libraries
Conflicts:	gir-repository < 0.6.5-3
Obsoletes:	%{_lib}gstreamer-plugins-base0.10 < 0.10.36-4

%description -n %{libname}
This package contain the basic audio and video playback library and
the interfaces library.

%files -n %{libname}
%{_libdir}/libgstaudio-%{majorminor}.so.%{major}*
%{_libdir}/libgstapp-%{majorminor}.so.%{major}*
%{_libdir}/libgstcdda-%{majorminor}.so.%{major}*
%{_libdir}/libgstfft-%{majorminor}.so.%{major}*
%{_libdir}/libgstinterfaces-%{majorminor}.so.%{major}*
%{_libdir}/libgstnetbuffer-%{majorminor}.so.%{major}*
%{_libdir}/libgstpbutils-%{majorminor}.so.%{major}*
%{_libdir}/libgstriff-%{majorminor}.so.%{major}*
%{_libdir}/libgstrtp-%{majorminor}.so.%{major}*
%{_libdir}/libgstrtsp-%{majorminor}.so.%{major}*
%{_libdir}/libgsttag-%{majorminor}.so.%{major}*
%{_libdir}/libgstsdp-%{majorminor}.so.%{major}*
%{_libdir}/libgstvideo-%{majorminor}.so.%{major}*

%package -n %{girname}
Group:		System/Libraries
Summary:	Object Introspection interface description for %{name}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}gstreamer-plugins-base0.10 < 0.10.36-4

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/GstApp-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstAudio-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstFft-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstInterfaces-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstNetbuffer-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstPbutils-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstRiff-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstRtp-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstRtsp-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstSdp-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstTag-%{majorminor}.typelib
%{_libdir}/girepository-1.0/GstVideo-%{majorminor}.typelib

%package -n %{devname}
Summary:	GStreamer Plugin Library Headers
Group:		Development/C
Conflicts:	gir-repository < 0.6.5-3
Requires:	%{libname} = %{version}-%{release}
# gw is required at build time for make check
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libgstreamer-plugins-base-devel = %{version}-%{release}
Provides:	libgstreamer%{majorminor}-plugins-base-devel = %{version}-%{release}

%description -n %{devname}
GStreamer support libraries header files.

%files -n %{devname}
%doc docs/libs/html docs/plugins/html
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/gstreamer-%{majorminor}/gst/app/
%{_includedir}/gstreamer-%{majorminor}/gst/audio
%{_includedir}/gstreamer-%{majorminor}/gst/cdda/
%{_includedir}/gstreamer-%{majorminor}/gst/fft
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces
%{_includedir}/gstreamer-%{majorminor}/gst/netbuffer
%{_includedir}/gstreamer-%{majorminor}/gst/pbutils
%{_includedir}/gstreamer-%{majorminor}/gst/riff
%{_includedir}/gstreamer-%{majorminor}/gst/rtsp
%{_includedir}/gstreamer-%{majorminor}/gst/sdp
%{_includedir}/gstreamer-%{majorminor}/gst/tag/
%{_includedir}/gstreamer-%{majorminor}/gst/video/
%{_includedir}/gstreamer-%{majorminor}/gst/floatcast/
%{_includedir}/gstreamer-%{majorminor}/gst/rtp
%{_libdir}/pkgconfig/gstreamer-app-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-audio-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-cdda-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-fft-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-floatcast-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-interfaces-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-netbuffer-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-pbutils-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-plugins-base-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-riff-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-rtp-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-rtsp-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-sdp-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-tag-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-video-%{majorminor}.pc
%{_libdir}/libgstaudio-%{majorminor}.so
%{_libdir}/libgstapp-%{majorminor}.so
%{_libdir}/libgstcdda-%{majorminor}.so
%{_libdir}/libgstfft-%{majorminor}.so
%{_libdir}/libgstinterfaces-%{majorminor}.so
%{_libdir}/libgstnetbuffer-%{majorminor}.so
%{_libdir}/libgstpbutils-%{majorminor}.so
%{_libdir}/libgstriff-%{majorminor}.so
%{_libdir}/libgstrtp-%{majorminor}.so
%{_libdir}/libgstrtsp-%{majorminor}.so
%{_libdir}/libgsttag-%{majorminor}.so
%{_libdir}/libgstsdp-%{majorminor}.so
%{_libdir}/libgstvideo-%{majorminor}.so
%{_datadir}/gir-1.0/GstApp-%{majorminor}.gir
%{_datadir}/gir-1.0/GstAudio-%{majorminor}.gir
%{_datadir}/gir-1.0/GstFft-%{majorminor}.gir
%{_datadir}/gir-1.0/GstInterfaces-%{majorminor}.gir
%{_datadir}/gir-1.0/GstNetbuffer-%{majorminor}.gir
%{_datadir}/gir-1.0/GstPbutils-%{majorminor}.gir
%{_datadir}/gir-1.0/GstRiff-%{majorminor}.gir
%{_datadir}/gir-1.0/GstRtp-%{majorminor}.gir
%{_datadir}/gir-1.0/GstRtsp-%{majorminor}.gir
%{_datadir}/gir-1.0/GstSdp-%{majorminor}.gir
%{_datadir}/gir-1.0/GstTag-%{majorminor}.gir
%{_datadir}/gir-1.0/GstVideo-%{majorminor}.gir
%{_datadir}/gst-plugins-base/license-translations.dict
###

### GNOME VFS 2 ###
%package -n %{bname}-gnomevfs
Summary:	GStreamer plug-ins for GNOME VFS input and output
Group:		System/Libraries
Requires:	gnome-vfs2 > 1.9.4.00
Requires:	%{bname}-plugins-base = %{version}-%{release}
BuildRequires:	gnome-vfs2-devel > 1.9.4.00

%description -n %{bname}-gnomevfs
Plug-Ins for reading and writing through GNOME VFS.

%files -n %{bname}-gnomevfs
%{_libdir}/gstreamer-%{majorminor}/libgstgnomevfs.so

### CDPARANOIA ###
%package -n %{bname}-cdparanoia
Summary:	Gstreamer plugin for CD audio input using CDParanoia IV
Group:		Sound/Utilities
Requires:	%{name} = %{version}-%{release}
BuildRequires:	libcdda-devel

%description -n %{bname}-cdparanoia
Plugin for ripping audio tracks using cdparanoia under GStreamer

%files -n %{bname}-cdparanoia
%{_libdir}/gstreamer-%{majorminor}/libgstcdparanoia.so

%if %build_libvisual
%package -n %{bname}-libvisual
Summary:	GStreamer visualisations plug-in based on libvisual
Group:		Video/Utilities
Requires:	%{name} = %{version}-%{release}
BuildRequires:	libvisual-devel >= 0.4

%description -n %{bname}-libvisual
This plugin makes visualisations based on libvisual available for
GStreamer applications.

%files -n %{bname}-libvisual
%{_libdir}/gstreamer-%{majorminor}/libgstlibvisual.so
%endif


%changelog
* Sat Dec 21 2013 lmenut <lmenut> 0.10.36-7.mga4
+ Revision: 559589
- add upstream patch to fix playing ogg track after mp3 track
  (mga#10762, bko#302652)

* Sat Oct 19 2013 umeabot <umeabot> 0.10.36-6.mga4
+ Revision: 529181
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 wally <wally> 0.10.36-5.mga4
+ Revision: 450818
- fix devel pkg provides

* Sun Jul 07 2013 wally <wally> 0.10.36-4.mga4
+ Revision: 450812
- fix lib pkg name
- split out gir typelibs from lib pkg
- clean old obsoletes
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 0.10.36-3.mga3
+ Revision: 352748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 barjac <barjac> 0.10.36-2.mga3
+ Revision: 343398
- update groups

* Wed Feb 29 2012 shlomif <shlomif> 0.10.36-1.mga2
+ Revision: 216218
- New gstreamer0.10-plugins-base version - 0.10.36

* Wed Feb 22 2012 ovitters <ovitters> 0.10.35-4.mga2
+ Revision: 212198
- clean spec

  + fwang <fwang>
    - rebuild

* Mon Jun 20 2011 ahmad <ahmad> 0.10.35-2.mga2
+ Revision: 110677
- Add BR valgrind-devel (needed after the valgrind package latest split)

* Mon Jun 20 2011 wally <wally> 0.10.35-1.mga2
+ Revision: 110640
- new version 0.10.35
- bump gstreamer dep
- drop buildroot definition

* Sun May 15 2011 pterjan <pterjan> 0.10.32-3.mga1
+ Revision: 98930
- Rebuild for fixed find-requires

* Fri Apr 15 2011 rtp <rtp> 0.10.32-2.mga1
+ Revision: 85697
- v4l1 plugin is not more built with newer kernels so remove it from file list.

* Sun Jan 23 2011 wally <wally> 0.10.32-1.mga1
+ Revision: 34429
- new version 0.10.32
- drop P1
- raise gstreamer dep
- add encodebin
- clean .spec

* Fri Jan 14 2011 dmorgan <dmorgan> 0.10.31-2.mga1
+ Revision: 17501
- Really not build with qt4
- Bootstrap qt4
  Do not harcode mageia
- imported package gstreamer0.10-plugins-base

